Subject: Re: Problem building CVS-1.10.x
From: Christopher Faylor <[email-masked]>
To: "Steven N. Hirsch" <[email-masked]>
Cc: Earnie Boyd <[email-masked]>, Trevor Forbes <[email-masked]>, [email-masked]
Date: Tue, 28 Dec 1999 22:17:20 -0500

On Tue, Dec 28, 1999 at 09:36:17PM -0500, Steven N. Hirsch wrote:
>On Tue, 28 Dec 1999, Earnie Boyd wrote:
><sigh>, no my immediate problem is _not_ the line endings.  It's the fact
>that I'm unable to compile a working version of cvs-1.10.x.  It builds
>without incident or error.  When I try to use it by doing, e.g.
>
>$ cvs co CVSROOT
>
>(against my own server)
>
>it spits out:
>
>cvs.exe [checkout aborted]: writing to server: The descriptor is a file,
> not a socket
>
>and dies.  This is the problem I need to solve.  Once I can get it working
>to begin with, I'll worry about modifying it to preserve line-endings.
>
>For whatever reason, no one else is reporting this runtime error.  The
>error is coming from a section of code that tries to flush a buffer back
>to the server in client.c of cvs.

Run the program under gdb and see exactly where and why cvs is failing.  Since,
as you've mentioned, no one else is reporting a similar problem, it's unlikely
that anyone is going to offer an "aha!" type of insight.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]